summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2013-12-10 09:15:32 +0700
committer Erik Hanson <erik@slackbuilds.org>2013-12-14 10:53:02 -0600
commit73fe337ed5f6b6572819a9ed88b008e7ede7787b (patch)
treed874c19446dc85e93894b21a33db9ebfb5d803b2 /libraries
parent7e571c795647cb0d8bf57dc954a21defccd867b5 (diff)
downloadslackbuilds-73fe337ed5f6b6572819a9ed88b008e7ede7787b.tar.gz
slackbuilds-73fe337ed5f6b6572819a9ed88b008e7ede7787b.tar.xz
libraries/emotion: Added (video library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/emotion/README5
-rw-r--r--libraries/emotion/emotion.SlackBuild100
-rw-r--r--libraries/emotion/emotion.info10
-rw-r--r--libraries/emotion/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/libraries/emotion/README b/libraries/emotion/README
new file mode 100644
index 0000000000..268f4acc5b
--- /dev/null
+++ b/libraries/emotion/README
@@ -0,0 +1,5 @@
+Emotion is a video (and audio) codec playback library that acts as a
+front-end to libxine or gstreamer (or something else more generic)
+that provides and evas object as a control object and video output
+point.
+It makes using video APIs much simpler and easier while it's at it.
diff --git a/libraries/emotion/emotion.SlackBuild b/libraries/emotion/emotion.SlackBuild
new file mode 100644
index 0000000000..d95e186e63
--- /dev/null
+++ b/libraries/emotion/emotion.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for emotion
+
+# Copyright 2013 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=emotion
+VERSION=${VERSION:-1.7.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING NEWS README TODO"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/emotion/emotion.info b/libraries/emotion/emotion.info
new file mode 100644
index 0000000000..44a38576e8
--- /dev/null
+++ b/libraries/emotion/emotion.info
@@ -0,0 +1,10 @@
+PRGNAM="emotion"
+VERSION="1.7.8"
+HOMEPAGE="http://www.enlightenment.org"
+DOWNLOAD="http://download.enlightenment.org/releases/emotion-1.7.8.tar.gz"
+MD5SUM="e04679ac7967e698c8c4013b9fd209a1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="edje eio"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/libraries/emotion/slack-desc b/libraries/emotion/slack-desc
new file mode 100644
index 0000000000..9ac7d2e136
--- /dev/null
+++ b/libraries/emotion/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+emotion: emotion (video library)
+emotion:
+emotion: Emotion is a video (and audio) codec playback library that acts as a
+emotion: front-end to libxine or gstreamer (or something else more generic)
+emotion: that provides and evas object as a control object and video output
+emotion: point.
+emotion: It makes using video APIs much simpler and easier while it's at it.
+emotion:
+emotion: homepage: http://www.enlightenment.org
+emotion:
+emotion: